
// http://playground.arduino.cc/ComponentLib/Thermistor2
 
#include <math.h>

static float pad = 10000;    // balance/pad resistor value, set this to
                             // the measured resistance of your pad resistor
 
float ntc10kTemp (int RawADC) {
  long Resistance;  
  float Temp;  // Dual-Purpose variable to save space.

  Resistance=((1024 * pad / RawADC) - pad);
  Temp = log(Resistance); // Saving the Log(resistance) so not to calculate  it 4 times later
  Temp = 1 / (0.001129148 + (0.000234125 * Temp) + (0.0000000876741 * Temp * Temp * Temp));
  Temp = Temp - 273.15;  // Convert Kelvin to Celsius
  return (Temp);
}               
